## mfiutil 1.0.15-rivoreo-r2~rc-20250214

=== Makefile ===
# Makefile for portable mfiutil
# Copyright 2015-2024 Rivoreo

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
# IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


CC := gcc
#CC := gcc-4.3.2-gld
INSTALL ?= install

CFLAGS += -std=gnu99 -Wall -Wno-unused-value -Os
CFLAGS += -I include
#CFLAGS += -D DEBUG=1

# For Solaris only
#CFLAGS += -D HAVE_LIBDEVINFO=1
#LIBS += -l devinfo

# Required for BSD make
CFLAGS += $(CPPFLAGS)

PREFIX ?= /usr/local
SBINDIR ?= $(PREFIX)/sbin
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(DATADIR)/man

PROG := mfiutil
MANPAGE := mfiutil.8

SRCS:=	mfiutil.c mfi_bbu.c mfi_cmd.c mfi_config.c mfi_drive.c mfi_evt.c \
	mfi_flash.c mfi_patrol.c mfi_show.c mfi_volume.c mfi_foreign.c \
	mfi_properties.c human_readable.c

OBJECTS = $(addsuffix .o,$(basename $(SRCS))) ${SRCS:R:S/$/.o/g}

default:	$(PROG)

$(PROG):	$(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@ $(LIBS)

clean:
	rm -f $(OBJECTS) $(PROG)

install:	$(PROG) $(MANPAGE)
	[ -d "$(DESTDIR)$(SBINDIR)" ] || mkdir -p "$(DESTDIR)$(SBINDIR)"
	[ -d "$(DESTDIR)$(MANDIR)/man8" ] || mkdir -p "$(DESTDIR)$(MANDIR)/man8"
	$(INSTALL) -m 755 $(PROG) "$(DESTDIR)$(SBINDIR)/"
	$(INSTALL) -m 644 $(MANPAGE) "$(DESTDIR)$(MANDIR)/man8/"

.PHONY:	default clean install

## mfiutil 1.0.15-rivoreo-r2~rc-20250214-e8c6289

=== debian/changelog ===
mfiutil (1.0.15-rivoreo-r2~rc-20250214-e8c6289-1) unstable; urgency=medium

  * Update to the latest revision from upstream source code repository, which
    includes a new version of 'scsi_inquiry.h' to replace the old one that
    having potential licensing issue

 -- WHR <whr@rivoreo.one>  Sun, 16 Feb 2025 16:29:52 +0100

mfiutil (1.0.15-rivoreo-r1-1) unstable; urgency=medium

  * Initial release (Closes: #1079642)

 -- WHR <whr@rivoreo.one>  Sat, 31 Aug 2024 15:14:44 +0800

=== debian/control ===
Source: mfiutil
Section: utils
Priority: optional
Maintainer: WHR <whr@rivoreo.one>
Uploaders: Petter Reinholdtsen <pere@hungry.com>, Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://sourceforge.net/projects/mfiutil/
Vcs-Browser: https://salsa.debian.org/debian/mfiutil
Vcs-Git: https://salsa.debian.org/debian/mfiutil.git
Rules-Requires-Root: no

Package: mfiutil
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for managing LSI MegaRAID SAS controllers
 A lightweight utility providing basic management functionality for LSI
 MegaRAID SAS controllers, ported from FreeBSD.
 .
 It works with Linux megaraid_sas driver, and supports 2nd and later
 generations of MegaRAID SAS controllers.
 .
 Examples of supported hardware:
  * LSI MegaRAID SAS 92xx series
  * LSI MegaRAID SAS 93xx series
  * Dell PERC H310, H710 and H810 series
  * Dell PERC H330, H730 and H830 series
  * Dell PERC H740 and H840 series
  * IBM ServeRAID M51xx series
  * IBM ServeRAID M52xx series

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4

https://qa.debian.org/watch/sf.php/mfiutil/ \
	mfiutil-([0-9a-z.-]+)-src\.tar\.(?:gz|bz2|lz|xz)
